Skip to main content

GET /api/defi/cdp

CDP protocols

GET cdp data from defi service

Endpoint​

GET https://api.web3identity.com/api/defi/cdp

Example Request​

curl -s "https://api.web3identity.com/api/defi/cdp" | jq

Responses​

200 CDP protocols​

{
"protocols": [
{
"name": "MakerDAO",
"totalDebt": 5678901234.56,
"collateralRatio": 168.45
},
{
"name": "Liquity",
"totalDebt": 987654321.09,
"collateralRatio": 125.67
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec